> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/catalog/models.md).

# Models

## The JobServerInstance object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog API","version":"1.0"},"components":{"schemas":{"JobServerInstance":{"type":"object","properties":{"id":{"type":"string","description":"The JobServer id","format":"uuid"},"name":{"type":"string","description":"The JobServer name"},"address":{"type":"string","description":"The JobServer address"}},"description":"Represents a JobServer instance from DGC Configuration"}}}}
```

## The JobServerInstanceResponse object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog API","version":"1.0"},"components":{"schemas":{"JobServerInstanceResponse":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/JobServerInstance"}}}},"JobServerInstance":{"type":"object","properties":{"id":{"type":"string","description":"The JobServer id","format":"uuid"},"name":{"type":"string","description":"The JobServer name"},"address":{"type":"string","description":"The JobServer address"}},"description":"Represents a JobServer instance from DGC Configuration"}}}}
```

## The PagedResponseJobServerInstance object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog API","version":"1.0"},"components":{"schemas":{"PagedResponseJobServerInstance":{"type":"object","properties":{"total":{"type":"integer","description":"The total number of results.","format":"int64"},"offset":{"type":"integer","description":"The offset for the results.","format":"int64"},"limit":{"type":"integer","description":"The maximum number of results to be returned.","format":"int64"},"results":{"type":"array","description":"The list of results.","items":{"$ref":"#/components/schemas/JobServerInstance"}}},"description":"Response containing the paged information."},"JobServerInstance":{"type":"object","properties":{"id":{"type":"string","description":"The JobServer id","format":"uuid"},"name":{"type":"string","description":"The JobServer name"},"address":{"type":"string","description":"The JobServer address"}},"description":"Represents a JobServer instance from DGC Configuration"}}}}
```

## The Job object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog API","version":"1.0"},"components":{"schemas":{"Job":{"required":["id","resourceType"],"type":"object","properties":{"id":{"type":"string","description":"The id of the represented object (entity).","format":"uuid"},"createdBy":{"type":"string","description":"The id of the user that created this resource.","format":"uuid"},"createdOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the creation of this resource.","format":"int64"},"lastModifiedBy":{"type":"string","description":"The id of the user who modified this resource the last time.","format":"uuid"},"lastModifiedOn":{"type":"integer","description":"The timestamp (in UTC time standard) of the last modification of this resource.","format":"int64"},"system":{"type":"boolean","description":"Whether this is a system resource or not."},"resourceType":{"type":"string","description":"The type of the resource, e.g. [Community, Asset, Domain, Attribute, Relation, WorkflowInstance, ...].\nThis property is deprecated and will be removed in the future. To stay backwards compatible while\nstill allowing new types of resources to be introduced, a resource discriminator property (of type\nString) has been added to the subtypes of Resource where it adds value,\ne.g. assignedResourceDiscriminator on AssignedResource, or attributeDiscriminator on Attribute.\nA discriminator is only added on subtypes whose declared return type can represent more than one\nkind of resource; it is omitted where the return type can only ever be a single kind, as it would\nthen always hold the same value and carry no additional information. For new types of resource\nthat didn't exist before this change, the resourceType will be BaseDataType.\n","deprecated":true,"enum":["View","Asset","Community","Domain","AssetType","DomainType","Status","User","ClassificationMatch","UserGroup","Attribute","StringAttribute","ScriptAttribute","BooleanAttribute","DateAttribute","NumericAttribute","SingleValueListAttribute","MultiValueListAttribute","Comment","Attachment","Responsibility","Workflow","Job","Relation","RelationType","ComplexRelation","ComplexRelationType","ArticulationRule","Assignment","Scope","RelationTrace","ValidationRule","DataQualityRule","DataQualityMetric","Address","InstantMessagingAccount","Email","PhoneNumber","Website","Activity","FormProperty","WorkflowTask","ActivityChange","WorkflowInstance","Role","AttributeType","BooleanAttributeType","DateAttributeType","DateTimeAttributeType","MultiValueListAttributeType","NumericAttributeType","ScriptAttributeType","SingleValueListAttributeType","StringAttributeType","ViewSharingRule","ViewAssignmentRule","JdbcDriverFile","JdbcDriver","JdbcIngestionProperties","CsvIngestionProperties","ExcelIngestionProperties","ConnectionStringParameter","AssignedCharacteristicType","Notification","Tag","ComplexRelationLegType","ComplexRelationAttributeType","ComplexRelationLeg","BaseDataType","AdvancedDataType","DiagramPicture","DiagramPictureSharingRule","DiagramPictureAssignmentRule","Rating","Classification","PhysicalDataConnector","Context"]},"name":{"type":"string","description":"The name of the resource."},"type":{"type":"string","description":"The type of the job."},"userId":{"type":"string","description":"The ID of the user that initiated this job.","format":"uuid"},"visibility":{"type":"integer","description":"The visibility of the job.","format":"int32"},"progressPercentage":{"type":"number","description":"The progress percentage of the job.","format":"double"},"cancelable":{"type":"boolean","description":"Whether this job is cancelable or not. If set to false it will not be possible to cancel the job once submitted."},"startDate":{"type":"integer","description":"The start date of the job.","format":"int64"},"endDate":{"type":"integer","description":"The end date of the job.","format":"int64"},"state":{"type":"string","description":"The state of the job.","enum":["WAITING","RUNNING","CANCELING","COMPLETED","CANCELED","ERROR"]},"result":{"type":"string","description":"The result of the job.","enum":["NOT_SET","SUCCESS","COMPLETED_WITH_ERROR","FAILURE","ABORTED"]},"message":{"type":"string","description":"The message of the job."}},"description":"Represents a job. Job is a single atomic task that is to be performed asynchronously"}}}}
```

## The AddSchemaFromJdbcRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog API","version":"1.0"},"components":{"schemas":{"AddSchemaFromJdbcRequest":{"required":["jdbcDriverId","ownerId","properties","schemaName","user"],"type":"object","properties":{"schemaName":{"type":"string","description":"The schema name"},"jdbcDriverId":{"type":"string","description":"The UUID of the JdbcDriver to use to connect to a JDBC source for ingestion.","format":"uuid"},"properties":{"type":"object","additionalProperties":{"type":"string","description":"The properties that will be passed to the JDBC driver to connect to the source."},"description":"The properties that will be passed to the JDBC driver to connect to the source."},"user":{"type":"string","description":"The username for the connection. If the user is not requested, specify an empty String"},"password":{"type":"array","description":"The password for the connection. It can be specified as array of char (more secure) or as a String","items":{"type":"string","description":"The password for the connection. It can be specified as array of char (more secure) or as a String"}},"jdbcConnectionString":{"type":"string","description":"The connection string that will be used instead of the one from the JdbcDriver."},"description":{"type":"string","description":"The description of the schema to be added."},"ownerId":{"type":"string","description":"The id of the user who will be assigned as the owner of the produced domain.","format":"uuid"},"storeCredentials":{"type":"boolean","description":"Specify if the credentials should be stored into the database."},"cronExpression":{"type":"string","description":"The cron expression to enable the automatic refresh. If not set, it will delete the cron job if one was present.<br />It requires storeCredential to be set to true.<br />The system supports both Unix Crontab format and Quartz cron format. However, Quartz crons are eventually transformed into Unix crons, during which any fields representing seconds or years are quietly discarded"},"cronTimeZone":{"type":"string","description":"The cron time zone. If a cron expression is set, a time zone is mandatory."},"extractDataSample":{"type":"boolean","description":"Specify if sampleData should be extracted from the database."},"executeProfiling":{"type":"boolean","description":"Specify if profiling should be executed."},"detectAdvancedDataTypes":{"type":"boolean","description":"Specify if advanced data types should be detected."},"tablesToSkip":{"type":"array","description":"The list table names that shouldn't be ingested. The names can contain * wildcards toskip multiple tables with similar names.","items":{"type":"string","description":"The list table names that shouldn't be ingested. The names can contain * wildcards toskip multiple tables with similar names."}},"jobServer":{"type":"string","description":"Specify the jobserver id where to submit the ingestion."}},"description":"A request for ingesting a JDBC source."}}}}
```

## The RefreshJdbcSchemaRequest object

```json
{"openapi":"3.0.3","info":{"title":"Collibra Catalog API","version":"1.0"},"components":{"schemas":{"RefreshJdbcSchemaRequest":{"required":["jdbcDriverId","properties","schemaId","user"],"type":"object","properties":{"schemaId":{"type":"string","description":"The schema ID of the schema asset to be refreshed","format":"uuid"},"jdbcDriverId":{"type":"string","description":"The UUID of the JdbcDriver to use to connect to a JDBC source for ingestion.","format":"uuid"},"properties":{"type":"object","additionalProperties":{"type":"string","description":"The properties that will be passed to the JDBC driver to connect to the source."},"description":"The properties that will be passed to the JDBC driver to connect to the source."},"user":{"type":"string","description":"The username for the connection. If the user is not requested, specify an empty String"},"password":{"type":"array","description":"The password for the connection. It can be specified as array of char (more secure) or as a String","items":{"type":"string","description":"The password for the connection. It can be specified as array of char (more secure) or as a String"}},"jdbcConnectionString":{"type":"string","description":"The connection string that will be used instead of the one from the JdbcDriver."},"storeCredentials":{"type":"boolean","description":"Specify if the credentials should be stored into the database."},"overridePassword":{"type":"boolean","description":"If true, the password will be used to connect instead of the previously saved one."},"cronExpression":{"type":"string","description":"The cron expression to enable the automatic refresh. If not set, it will delete the cron job if one was present <br />It requires storeCredential to be set to true.<br />The system supports both Unix Crontab format and Quartz cron format. However, Quartz crons are eventually transformed into Unix crons, during which any fields representing seconds or years are quietly discarded"},"cronTimeZone":{"type":"string","description":"The cron time zone. If a cron expression is set, a time zone is mandatory."},"extractDataSample":{"type":"boolean","description":"Specify if sampleData should be extracted from the database."},"executeProfiling":{"type":"boolean","description":"Specify if profiling should be executed."},"detectAdvancedDataTypes":{"type":"boolean","description":"Specify if advanced data types should be detected."},"tablesToSkip":{"type":"array","description":"The list table names that shouldn't be ingested. The names can contain * wildcards toskip multiple tables with similar names.","items":{"type":"string","description":"The list table names that shouldn't be ingested. The names can contain * wildcards toskip multiple tables with similar names."}},"jobServer":{"type":"string","description":"Specify the jobserver id where to submit the ingestion."}},"description":"A request for ingesting a JDBC source."}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/catalog/models.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
